## metasploitmcp 0.0~git20251004.2a62f32

=== Makefile ===
# Makefile for MetasploitMCP testing and development

.PHONY: help install-deps test test-unit test-integration test-options test-helpers test-tools coverage clean lint format

# Default target
help:
	@echo "Available targets:"
	@echo "  help           - Show this help message"
	@echo "  install-deps   - Install test dependencies"
	@echo "  test           - Run all tests"
	@echo "  test-unit      - Run unit tests only"
	@echo "  test-integration - Run integration tests only"
	@echo "  test-options   - Run options parsing tests only"
	@echo "  test-helpers   - Run helper function tests only"
	@echo "  test-tools     - Run MCP tools tests only"
	@echo "  coverage       - Run tests with coverage report"
	@echo "  coverage-html  - Run tests with HTML coverage report"
	@echo "  lint           - Run linting checks"
	@echo "  format         - Format code"
	@echo "  clean          - Clean up generated files"

# Install test dependencies
install-deps:
	python -m pip install -r requirements-test.txt

# Test targets
test:
	python run_tests.py --all

test-unit:
	python run_tests.py --unit

test-integration:
	python run_tests.py --integration

test-options:
	python run_tests.py --options

test-helpers:
	python run_tests.py --helpers

test-tools:
	python run_tests.py --tools

# Coverage targets
coverage:
	python run_tests.py --all --coverage

coverage-html:
	python run_tests.py --all --coverage --html
	@echo "Coverage report: file://$(PWD)/htmlcov/index.html"

# Code quality targets
lint:
	@echo "Running flake8..."
	-python -m flake8 MetasploitMCP.py tests/ --max-line-length=120 --ignore=E203,W503
	@echo "Running pylint..."
	-python -m pylint MetasploitMCP.py --disable=C0301,C0103,R0903,R0913

format:
	@echo "Running black code formatter..."
	-python -m black MetasploitMCP.py tests/ --line-length=120
	@echo "Running isort import formatter..."
	-python -m isort MetasploitMCP.py tests/

# Cleanup
clean:
	rm -rf __pycache__/
	rm -rf tests/__pycache__/
	rm -rf .pytest_cache/
	rm -rf htmlcov/
	rm -rf .coverage
	rm -rf *.pyc
	rm -rf tests/*.pyc
	find . -name "*.pyc" -delete
	find . -name "__pycache__" -type d -exec rm -rf {} +

# Development targets
dev-setup: install-deps
	@echo "Development environment setup complete"

check: lint test
	@echo "All checks passed!"

# CI/CD targets
ci-test:
	python run_tests.py --all --coverage --verbose

# Quick test (no coverage)
quick-test:
	pytest tests/ -x -v

# Test with failure details
test-debug:
	pytest tests/ -v --tb=long --capture=no

=== requirements.txt ===
fastapi>=0.95.0
uvicorn[standard]>=0.22.0
pymetasploit3>=1.0.6
mcp>=1.6.0
fastmcp>=2.10.3

=== debian/changelog ===
metasploitmcp (0.0~git20251004.2a62f32-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 03 Feb 2026 10:24:24 +0000

=== debian/control ===
Source: metasploitmcp
Section: misc
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Ben Wilson <g0tmi1k@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
Standards-Version: 4.7.3
Homepage: https://github.com/GH05TCREW/MetasploitMCP
Vcs-Browser: https://gitlab.com/kalilinux/packages/metasploitmcp
Vcs-Git: https://gitlab.com/kalilinux/packages/metasploitmcp.git

Package: metasploitmcp
Architecture: all
Depends:
 python3-fastapi,
 python3-fastmcp,
 python3-mcp,
 python3-pymetasploit3,
 python3-uvicorn,
 ${misc:Depends},
 ${python3:Depends},
Description: MCP Server for Metasploit
 A Model Context Protocol (MCP) server for Metasploit Framework
 integration.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --with python3

override_dh_auto_test:
	# Upstream async tests are broken

=== debian/watch ===
Version: 5

Source: https://github.com/GH05TCREW/MetasploitMCP
Mode: git
Matching-Pattern: HEAD
